POST api/Groups/GetNearestGroups_v2
Request Information
URI Parameters
None.
Body Parameters
NearestGroupsDto| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId | integer |
None. |
|
| goalId | integer |
None. |
|
| iso | string |
None. |
|
| gender | string |
None. |
|
| page | integer |
None. |
|
| isHome | boolean |
None. |
|
| lat | decimal number |
None. |
|
| lng | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountId": 1,
"goalId": 2,
"iso": "sample string 3",
"gender": "sample string 4",
"page": 1,
"isHome": true,
"lat": 7.1,
"lng": 8.1
}
text/plain, application/octet-stream
Sample:
{"accountId":1,"goalId":2,"iso":"sample string 3","gender":"sample string 4","page":1,"isHome":true,"lat":7.1,"lng":8.1}
application/xml, text/xml
Sample:
<NearestGroupsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Modules.Groups.DTO"> <accountId>1</accountId> <gender>sample string 4</gender> <goalId>2</goalId> <isHome>true</isHome> <iso>sample string 3</iso> <lat>7.1</lat> <lng>8.1</lng> <page>1</page> </NearestGroupsDto>
multipart/form-data, application/form-data
Sample:
<NearestGroupsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Modules.Groups.DTO"><accountId>1</accountId><gender>sample string 4</gender><goalId>2</goalId><isHome>true</isHome><iso>sample string 3</iso><lat>7.1</lat><lng>8.1</lng><page>1</page></NearestGroupsDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.